=== modified file 'drizzled/definitions.h'
--- drizzled/definitions.h	2010-03-01 02:07:07 +0000
+++ drizzled/definitions.h	2010-05-11 04:17:20 +0000
@@ -344,7 +344,6 @@
 #define HA_CREATE_USED_CHARSET          (1L << 8)
 #define HA_CREATE_USED_DEFAULT_CHARSET  (1L << 9)
 #define HA_CREATE_USED_ROW_FORMAT       (1L << 15)
-#define HA_CREATE_USED_KEY_BLOCK_SIZE   (1L << 19)
 #define HA_CREATE_USED_BLOCK_SIZE       (1L << 22)
 
 /*

=== modified file 'drizzled/message/statement_transform.cc'
--- drizzled/message/statement_transform.cc	2010-05-11 03:25:30 +0000
+++ drizzled/message/statement_transform.cc	2010-05-11 04:17:20 +0000
@@ -988,22 +988,6 @@
     ss.clear();
   }
 
-  if (options.has_key_block_size())
-  {
-    ss << options.key_block_size();
-    destination.append("\nKEY_BLOCK_SIZE = ", 18);
-    destination.append(ss.str());
-    ss.clear();
-  }
-
-  if (options.has_block_size())
-  {
-    ss << options.block_size();
-    destination.append("\nBLOCK_SIZE = ", 14);
-    destination.append(ss.str());
-    ss.clear();
-  }
-
   if (options.has_checksum() &&
       options.checksum())
     destination.append("\nCHECKSUM = TRUE", 16);

=== modified file 'drizzled/message/table.proto'
--- drizzled/message/table.proto	2010-03-24 19:36:31 +0000
+++ drizzled/message/table.proto	2010-05-11 04:17:20 +0000
@@ -38,10 +38,8 @@
     optional uint64 min_rows = 8;
     optional uint64 auto_increment_value = 9;
     optional uint32 avg_row_length = 11;
-    optional uint32 key_block_size = 12;
     optional uint32 block_size = 13;
     optional string comment = 14;
-    optional bool pack_keys = 15;
     optional bool pack_record = 16;
     optional bool checksum = 17;
     optional bool page_checksum = 18;

=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2010-05-11 03:25:30 +0000
+++ drizzled/show.cc	2010-05-11 04:17:20 +0000
@@ -559,12 +559,6 @@
       packet->append(STRING_WITH_LEN(" ROW_FORMAT="));
       packet->append(ha_row_type[(uint32_t) create_info.row_type]);
     }
-    if (table->s->hasKeyBlockSize())
-    {
-      packet->append(STRING_WITH_LEN(" KEY_BLOCK_SIZE="));
-      buff= to_string(table->s->getKeyBlockSize());
-      packet->append(buff.c_str(), buff.length());
-    }
     if (share->block_size)
     {
       packet->append(STRING_WITH_LEN(" BLOCK_SIZE="));
@@ -583,24 +577,14 @@
   return(0);
 }
 
-static void store_key_options(String *packet, Table *table, KEY *key_info)
+static void store_key_options(String *packet, Table *, KEY *key_info)
 {
-  char *end, buff[32];
-
   if (key_info->algorithm == HA_KEY_ALG_BTREE)
     packet->append(STRING_WITH_LEN(" USING BTREE"));
 
   if (key_info->algorithm == HA_KEY_ALG_HASH)
     packet->append(STRING_WITH_LEN(" USING HASH"));
 
-  if ((key_info->flags & HA_USES_BLOCK_SIZE) &&
-      table->s->getKeyBlockSize() != key_info->block_size)
-  {
-    packet->append(STRING_WITH_LEN(" KEY_BLOCK_SIZE="));
-    end= internal::int64_t10_to_str(key_info->block_size, buff, 10);
-    packet->append(buff, (uint32_t) (end - buff));
-  }
-
   assert(test(key_info->flags & HA_USES_COMMENT) ==
               (key_info->comment.length > 0));
   if (key_info->flags & HA_USES_COMMENT)

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2010-05-11 03:25:30 +0000
+++ drizzled/sql_table.cc	2010-05-11 04:17:20 +0000
@@ -951,18 +951,6 @@
     key_info->usable_key_parts= key_number;
     key_info->algorithm= key->key_create_info.algorithm;
 
-    /* Take block size from key part or table part */
-    /*
-      TODO: Add warning if block size changes. We can't do it here, as
-      this may depend on the size of the key
-    */
-    key_info->block_size= (key->key_create_info.block_size ?
-                           key->key_create_info.block_size :
-                           create_proto.options().key_block_size());
-
-    if (key_info->block_size)
-      key_info->flags|= HA_USES_BLOCK_SIZE;
-
     uint32_t tmp_len= system_charset_info->cset->charpos(system_charset_info,
                                            key->key_create_info.comment.str,
                                            key->key_create_info.comment.str +

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2010-04-08 07:20:26 +0000
+++ drizzled/sql_yacc.yy	2010-05-11 04:17:20 +0000
@@ -1293,16 +1293,6 @@
             }
           }
         | default_collation
-        | KEY_BLOCK_SIZE opt_equal ulong_num
-          {
-            statement::CreateTable *statement= (statement::CreateTable *)Lex->statement;
-
-            statement->create_info.used_fields|= HA_CREATE_USED_KEY_BLOCK_SIZE;
-
-            message::Table::TableOptions *tableopts;
-            tableopts= ((statement::CreateTable *)Lex->statement)->create_table_message.mutable_options();
-            tableopts->set_key_block_size($3);
-          }
         ;
 
 default_collation:

=== modified file 'drizzled/statement/alter_table.cc'
--- drizzled/statement/alter_table.cc	2010-05-05 11:41:54 +0000
+++ drizzled/statement/alter_table.cc	2010-05-11 04:17:20 +0000
@@ -249,14 +249,6 @@
     table->cursor->info(HA_STATUS_AUTO);
     create_info->auto_increment_value= table->cursor->stats.auto_increment_value;
   }
-  if (! (used_fields & HA_CREATE_USED_KEY_BLOCK_SIZE)
-      && table->s->hasKeyBlockSize())
-    table_options->set_key_block_size(table->s->getKeyBlockSize());
-
-  if ((used_fields & HA_CREATE_USED_KEY_BLOCK_SIZE)
-      && table_options->key_block_size() == 0)
-    table_options->clear_key_block_size();
-
   table->restoreRecordAsDefault(); /* Empty record for DEFAULT */
   CreateField *def;
 

=== modified file 'drizzled/table_share.h'
--- drizzled/table_share.h	2010-05-11 02:37:24 +0000
+++ drizzled/table_share.h	2010-05-11 04:17:20 +0000
@@ -450,16 +450,6 @@
     return (table_proto) ? table_proto->options().comment().length() : 0; 
   }
 
-  inline bool hasKeyBlockSize()
-  {
-    return (table_proto) ? table_proto->options().has_key_block_size() : false;
-  }
-
-  inline uint32_t getKeyBlockSize()
-  {
-    return (table_proto) ? table_proto->options().key_block_size() : 0;
-  }
-
   inline uint64_t getMaxRows()
   {
     return max_rows;

=== modified file 'plugin/innobase/handler/ha_innodb.cc'
--- plugin/innobase/handler/ha_innodb.cc	2010-04-21 02:28:11 +0000
+++ plugin/innobase/handler/ha_innodb.cc	2010-05-11 04:17:20 +0000
@@ -5414,49 +5414,6 @@
     return(TRUE);
   }
 
-  /* First check if KEY_BLOCK_SIZE was specified. */
-  if (create_proto.options().has_key_block_size()) {
-
-    kbs_specified = TRUE;
-    switch (create_proto.options().key_block_size()) {
-    case 1:
-    case 2:
-    case 4:
-    case 8:
-    case 16:
-      /* Valid value. */
-      break;
-    default:
-      push_warning_printf(session, DRIZZLE_ERROR::WARN_LEVEL_ERROR,
-              ER_ILLEGAL_HA_CREATE_OPTION,
-              "InnoDB: invalid"
-              " KEY_BLOCK_SIZE = %lu."
-              " Valid values are"
-              " [1, 2, 4, 8, 16]",
-              create_proto.options().key_block_size());
-      ret = FALSE;
-    }
-  }
-  
-  /* If KEY_BLOCK_SIZE was specified, check for its
-  dependencies. */
-  if (kbs_specified && !srv_file_per_table) {
-    push_warning(session, DRIZZLE_ERROR::WARN_LEVEL_ERROR,
-           ER_ILLEGAL_HA_CREATE_OPTION,
-           "InnoDB: KEY_BLOCK_SIZE"
-           " requires innodb_file_per_table.");
-    ret = FALSE;
-  }
-
-  if (kbs_specified && srv_file_format < DICT_TF_FORMAT_ZIP) {
-    push_warning(session, DRIZZLE_ERROR::WARN_LEVEL_ERROR,
-           ER_ILLEGAL_HA_CREATE_OPTION,
-           "InnoDB: KEY_BLOCK_SIZE"
-           " requires innodb_file_format >"
-           " Antelope.");
-    ret = FALSE;
-  }
-
   /* Now check for ROW_FORMAT specifier. */
   if (create_proto.options().has_row_type()) {
     switch (form.s->row_type) {
@@ -5641,75 +5598,13 @@
     goto cleanup;
   }
 
-  if (create_proto.options().has_key_block_size()) {
-    /* Determine the page_zip.ssize corresponding to the
-    requested page size (key_block_size) in kilobytes. */
-
-    ulint ssize, ksize;
-    ulint key_block_size = create_proto.options().key_block_size();
-
-    for (ssize = ksize = 1; ssize <= DICT_TF_ZSSIZE_MAX;
-         ssize++, ksize <<= 1) {
-      if (key_block_size == ksize) {
-        iflags = ssize << DICT_TF_ZSSIZE_SHIFT
-          | DICT_TF_COMPACT
-          | DICT_TF_FORMAT_ZIP
-            << DICT_TF_FORMAT_SHIFT;
-        break;
-      }
-    }
-
-    if (!srv_file_per_table) {
-      push_warning(&session, DRIZZLE_ERROR::WARN_LEVEL_WARN,
-             ER_ILLEGAL_HA_CREATE_OPTION,
-             "InnoDB: KEY_BLOCK_SIZE"
-             " requires innodb_file_per_table.");
-      iflags = 0;
-    }
-
-    if (file_format < DICT_TF_FORMAT_ZIP) {
-      push_warning(&session, DRIZZLE_ERROR::WARN_LEVEL_WARN,
-             ER_ILLEGAL_HA_CREATE_OPTION,
-             "InnoDB: KEY_BLOCK_SIZE"
-             " requires innodb_file_format >"
-             " Antelope.");
-      iflags = 0;
-    }
-
-    if (!iflags) {
-      push_warning_printf(&session, DRIZZLE_ERROR::WARN_LEVEL_WARN,
-              ER_ILLEGAL_HA_CREATE_OPTION,
-              "InnoDB: ignoring"
-              " KEY_BLOCK_SIZE=%lu.",
-              create_proto.options().key_block_size());
-    }
-  }
-
   if (create_proto.options().has_row_type()) {
-    if (iflags) {
-      /* KEY_BLOCK_SIZE was specified. */
-      if (form.s->row_type != ROW_TYPE_COMPRESSED) {
-        /* ROW_FORMAT other than COMPRESSED
-        ignores KEY_BLOCK_SIZE.  It does not
-        make sense to reject conflicting
-        KEY_BLOCK_SIZE and ROW_FORMAT, because
-        such combinations can be obtained
-        with ALTER TABLE anyway. */
-        push_warning_printf(
-          &session,
-          DRIZZLE_ERROR::WARN_LEVEL_WARN,
-          ER_ILLEGAL_HA_CREATE_OPTION,
-          "InnoDB: ignoring KEY_BLOCK_SIZE=%lu"
-          " unless ROW_FORMAT=COMPRESSED.",
-          create_proto.options().key_block_size());
-        iflags = 0;
-      }
-    } else {
+    {
       /* No KEY_BLOCK_SIZE */
       if (form.s->row_type == ROW_TYPE_COMPRESSED) {
         /* ROW_FORMAT=COMPRESSED without
-        KEY_BLOCK_SIZE implies half the
-        maximum KEY_BLOCK_SIZE. */
+          KEY_BLOCK_SIZE implies half the
+          maximum KEY_BLOCK_SIZE. */
         iflags = (DICT_TF_ZSSIZE_MAX - 1)
           << DICT_TF_ZSSIZE_SHIFT
           | DICT_TF_COMPACT

=== modified file 'tests/r/drizzledump.result'
--- tests/r/drizzledump.result	2010-03-09 22:42:17 +0000
+++ tests/r/drizzledump.result	2010-05-11 04:17:20 +0000
@@ -2,30 +2,6 @@
 drop database if exists mysqldump_test_db;
 drop database if exists db1;
 drop database if exists db2;
-CREATE TABLE t1(a int, key (a)) key_block_size=1024;
-Warnings:
-Warning	1478	InnoDB: KEY_BLOCK_SIZE requires innodb_file_per_table.
-Warning	1478	InnoDB: KEY_BLOCK_SIZE requires innodb_file_format > Antelope.
-Warning	1478	InnoDB: ignoring KEY_BLOCK_SIZE=1024.
-INSERT INTO t1 VALUES (1), (2);
-<?xml version="1.0"?>
-<drizzledump xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
-<database name="test">
-	<table_structure name="t1">
-		<field Field="a" Type="INTEGER" Null="TRUE" Default="" Default_is_NULL="TRUE" On_Update="" />
-		<key Table="t1" Unique="FALSE" Key_name="a" Seq_in_index="1" Column_name="a" />
-	</table_structure>
-	<table_data name="t1">
-	<row>
-		<field name="a">1</field>
-	</row>
-	<row>
-		<field name="a">2</field>
-	</row>
-	</table_data>
-</database>
-</drizzledump>
-DROP TABLE t1;
 #
 # Bug #2005
 #

=== modified file 'tests/r/myisam.result'
--- tests/r/myisam.result	2010-04-08 07:20:26 +0000
+++ tests/r/myisam.result	2010-05-11 04:17:20 +0000
@@ -1449,152 +1449,6 @@
 4	4
 DROP TABLE t1, t2;
 End of 5.0 tests
-create temporary table t1 (a int not null, key `a` (a) key_block_size=1024) ENGINE=MyISAM;
-show create table t1;
-Table	Create Table
-t1	CREATE TEMPORARY TABLE `t1` (
-  `a` int NOT NULL,
-  KEY `a` (`a`) KEY_BLOCK_SIZE=1024
-) ENGINE=MyISAM
-drop table t1;
-create temporary table t1 (a int not null, key `a` (a) key_block_size=2048) ENGINE=MyISAM;
-show create table t1;
-Table	Create Table
-t1	CREATE TEMPORARY TABLE `t1` (
-  `a` int NOT NULL,
-  KEY `a` (`a`) KEY_BLOCK_SIZE=2048
-) ENGINE=MyISAM
-drop table t1;
-create temporary table t1 (a varchar(2048), key `a` (a)) ENGINE=MyISAM;
-Warnings:
-Warning	1071	Specified key was too long; max key length is 1332 bytes
-show create table t1;
-Table	Create Table
-t1	CREATE TEMPORARY TABLE `t1` (
-  `a` varchar(2048) DEFAULT NULL,
-  KEY `a` (`a`(333))
-) ENGINE=MyISAM
-drop table t1;
-create temporary table t1 (a varchar(2048), key `a` (a) key_block_size=1024) ENGINE=MyISAM;
-Warnings:
-Warning	1071	Specified key was too long; max key length is 1332 bytes
-show create table t1;
-Table	Create Table
-t1	CREATE TEMPORARY TABLE `t1` (
-  `a` varchar(2048) DEFAULT NULL,
-  KEY `a` (`a`(333)) KEY_BLOCK_SIZE=6144
-) ENGINE=MyISAM
-drop table t1;
-create temporary table t1 (a int not null, b varchar(2048), key (a), key(b)) ENGINE=MyISAM key_block_size=1024;
-Warnings:
-Warning	1071	Specified key was too long; max key length is 1332 bytes
-show create table t1;
-Table	Create Table
-t1	CREATE TEMPORARY TABLE `t1` (
-  `a` int NOT NULL,
-  `b` varchar(2048) DEFAULT NULL,
-  KEY `a` (`a`),
-  KEY `b` (`b`(333)) KEY_BLOCK_SIZE=6144
-) ENGINE=MyISAM KEY_BLOCK_SIZE=1024
-alter table t1 key_block_size=2048;
-show create table t1;
-Table	Create Table
-t1	CREATE TEMPORARY TABLE `t1` (
-  `a` int NOT NULL,
-  `b` varchar(2048) DEFAULT NULL,
-  KEY `a` (`a`) KEY_BLOCK_SIZE=1024,
-  KEY `b` (`b`(333)) KEY_BLOCK_SIZE=8192
-) ENGINE=MyISAM KEY_BLOCK_SIZE=2048
-alter table t1 add c int, add key (c);
-show create table t1;
-Table	Create Table
-t1	CREATE TEMPORARY TABLE `t1` (
-  `a` int NOT NULL,
-  `b` varchar(2048) DEFAULT NULL,
-  `c` int DEFAULT NULL,
-  KEY `a` (`a`) KEY_BLOCK_SIZE=1024,
-  KEY `b` (`b`(333)) KEY_BLOCK_SIZE=8192,
-  KEY `c` (`c`)
-) ENGINE=MyISAM KEY_BLOCK_SIZE=2048
-alter table t1 key_block_size=0;
-alter table t1 add d int, add key (d);
-show create table t1;
-Table	Create Table
-t1	CREATE TEMPORARY TABLE `t1` (
-  `a` int NOT NULL,
-  `b` varchar(2048) DEFAULT NULL,
-  `c` int DEFAULT NULL,
-  `d` int DEFAULT NULL,
-  KEY `a` (`a`) KEY_BLOCK_SIZE=1024,
-  KEY `b` (`b`(333)) KEY_BLOCK_SIZE=8192,
-  KEY `c` (`c`) KEY_BLOCK_SIZE=2048,
-  KEY `d` (`d`)
-) ENGINE=MyISAM
-drop table t1;
-create temporary table t1 (a int not null, b varchar(2048), key (a), key(b)) ENGINE=MyISAM key_block_size=8192;
-Warnings:
-Warning	1071	Specified key was too long; max key length is 1332 bytes
-show create table t1;
-Table	Create Table
-t1	CREATE TEMPORARY TABLE `t1` (
-  `a` int NOT NULL,
-  `b` varchar(2048) DEFAULT NULL,
-  KEY `a` (`a`),
-  KEY `b` (`b`(333))
-) ENGINE=MyISAM KEY_BLOCK_SIZE=8192
-drop table t1;
-create temporary table t1 (a int not null, b varchar(2048), key (a) key_block_size=1024, key(b)) ENGINE=MyISAM key_block_size=8192;
-Warnings:
-Warning	1071	Specified key was too long; max key length is 1332 bytes
-show create table t1;
-Table	Create Table
-t1	CREATE TEMPORARY TABLE `t1` (
-  `a` int NOT NULL,
-  `b` varchar(2048) DEFAULT NULL,
-  KEY `a` (`a`) KEY_BLOCK_SIZE=1024,
-  KEY `b` (`b`(333))
-) ENGINE=MyISAM KEY_BLOCK_SIZE=8192
-drop table t1;
-create temporary table t1 (a int not null, b int, key (a) key_block_size=1024, key(b) key_block_size=8192) ENGINE=MyISAM key_block_size=16384;
-show create table t1;
-Table	Create Table
-t1	CREATE TEMPORARY TABLE `t1` (
-  `a` int NOT NULL,
-  `b` int DEFAULT NULL,
-  KEY `a` (`a`) KEY_BLOCK_SIZE=1024,
-  KEY `b` (`b`) KEY_BLOCK_SIZE=8192
-) ENGINE=MyISAM KEY_BLOCK_SIZE=16384
-drop table t1;
-create temporary table t1 (a int not null, key `a` (a) key_block_size=512) ENGINE=MyISAM;
-show create table t1;
-Table	Create Table
-t1	CREATE TEMPORARY TABLE `t1` (
-  `a` int NOT NULL,
-  KEY `a` (`a`) KEY_BLOCK_SIZE=1024
-) ENGINE=MyISAM
-drop table t1;
-create temporary table t1 (a varchar(2048), key `a` (a) key_block_size=1000000000000000000) ENGINE=MyISAM;
-Warnings:
-Warning	1071	Specified key was too long; max key length is 1332 bytes
-show create table t1;
-Table	Create Table
-t1	CREATE TEMPORARY TABLE `t1` (
-  `a` varchar(2048) DEFAULT NULL,
-  KEY `a` (`a`(333)) KEY_BLOCK_SIZE=6144
-) ENGINE=MyISAM
-drop table t1;
-create temporary table t1 (a int not null, key `a` (a) key_block_size=1025) ENGINE=MyISAM;
-show create table t1;
-Table	Create Table
-t1	CREATE TEMPORARY TABLE `t1` (
-  `a` int NOT NULL,
-  KEY `a` (`a`) KEY_BLOCK_SIZE=2048
-) ENGINE=MyISAM
-drop table t1;
-create temporary table t1 (a int not null, key key_block_size=1024 (a)) ENGINE=MyISAM;
-ERROR 42000: You have an error in your SQL syntax; check the manual that corresponds to your Drizzle server version for the right syntax to use near '=1024 (a)) ENGINE=MyISAM' at line 1
-create temporary table t1 (a int not null, key `a` key_block_size=1024 (a)) ENGINE=MyISAM;
-ERROR 42000: You have an error in your SQL syntax; check the manual that corresponds to your Drizzle server version for the right syntax to use near 'key_block_size=1024 (a)) ENGINE=MyISAM' at line 1
 CREATE temporary TABLE t1 (
 c1 INT,
 c2 VARCHAR(300),

=== modified file 'tests/t/drizzledump.test'
--- tests/t/drizzledump.test	2010-02-19 01:53:48 +0000
+++ tests/t/drizzledump.test	2010-05-11 04:17:20 +0000
@@ -6,13 +6,6 @@
 drop database if exists db2;
 --enable_warnings
 
-# XML output
-
-CREATE TABLE t1(a int, key (a)) key_block_size=1024;
-INSERT INTO t1 VALUES (1), (2);
---exec $DRIZZLE_DUMP --skip-create --skip-comments -X test t1
-DROP TABLE t1;
-
 --echo #
 --echo # Bug #2005
 --echo #

=== modified file 'tests/t/myisam.test'
--- tests/t/myisam.test	2010-04-08 07:20:26 +0000
+++ tests/t/myisam.test	2010-05-11 04:17:20 +0000
@@ -907,69 +907,6 @@
 
 
 #
-# Test of key_block_size
-#
-
-create temporary table t1 (a int not null, key `a` (a) key_block_size=1024) ENGINE=MyISAM;
-show create table t1;
-drop table t1;
-
-create temporary table t1 (a int not null, key `a` (a) key_block_size=2048) ENGINE=MyISAM;
-show create table t1;
-drop table t1;
-
-create temporary table t1 (a varchar(2048), key `a` (a)) ENGINE=MyISAM;
-show create table t1;
-drop table t1;
-
-create temporary table t1 (a varchar(2048), key `a` (a) key_block_size=1024) ENGINE=MyISAM;
-show create table t1;
-drop table t1;
-
-create temporary table t1 (a int not null, b varchar(2048), key (a), key(b)) ENGINE=MyISAM key_block_size=1024;
-show create table t1;
-alter table t1 key_block_size=2048;
-show create table t1;
-alter table t1 add c int, add key (c);
-show create table t1;
-alter table t1 key_block_size=0;
-alter table t1 add d int, add key (d);
-show create table t1;
-drop table t1;
-
-create temporary table t1 (a int not null, b varchar(2048), key (a), key(b)) ENGINE=MyISAM key_block_size=8192;
-show create table t1;
-drop table t1;
-
-create temporary table t1 (a int not null, b varchar(2048), key (a) key_block_size=1024, key(b)) ENGINE=MyISAM key_block_size=8192;
-show create table t1;
-drop table t1;
-
-create temporary table t1 (a int not null, b int, key (a) key_block_size=1024, key(b) key_block_size=8192) ENGINE=MyISAM key_block_size=16384;
-show create table t1;
-drop table t1;
-
-
-# Test limits and errors of key_block_size
-
-create temporary table t1 (a int not null, key `a` (a) key_block_size=512) ENGINE=MyISAM;
-show create table t1;
-drop table t1;
-
-create temporary table t1 (a varchar(2048), key `a` (a) key_block_size=1000000000000000000) ENGINE=MyISAM;
-show create table t1;
-drop table t1;
-
-create temporary table t1 (a int not null, key `a` (a) key_block_size=1025) ENGINE=MyISAM;
-show create table t1;
-drop table t1;
-
---error 1064
-create temporary table t1 (a int not null, key key_block_size=1024 (a)) ENGINE=MyISAM;
---error 1064
-create temporary table t1 (a int not null, key `a` key_block_size=1024 (a)) ENGINE=MyISAM;
-
-#
 # Bug#22119 - Changing MI_KEY_BLOCK_LENGTH makes a wrong myisamchk
 #
 CREATE temporary TABLE t1 (

